%define nam	gtop
%define ver	1.0.7

%define	prefix		/usr
%define	sysconfdir	/etc
%define	localstatedir	/var/lib

#%define	rel	0_helix_2
#%define	rel	3_helix_2
#%define	rel	3_helix_2
#%define		rel	3_helix_3
#%define	rel	0_helix_1
%define	rel	0.4mdk

Summary:	The GNOME system monitor.
Name:     	%nam
Version: 	%ver
Release:	%rel
Copyright:	GPL
Group:		Monitoring
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.gz
Source1:	gnome-gtop.png
URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

# Red Hat patches

# Helix patches
Patch:		gtop-systems_dir.patch
#Patch1:		gtop-icon.patch

# Mandrake patches
Source400: gtop-menu

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install the GNOME system monitor gtop,
which shows memory graphs and processes.

%prep
%setup -q
echo "	*****     Applying RH patches        *****	"
echo "	*****     Applying Helix patches     *****	"
%patch -p1 -b .systems_dir
#%patch1 -p1 -b .icon

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{susconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
# no binary stripping

# Mandrake menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cp %{SOURCE400} $RPM_BUILD_ROOT/usr/lib/menu/gtop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
/sbin/ldconfig

## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/gtoprc
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/pixmaps/*


%changelog
* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.0.7-0_helix_2
- fix % post

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.3mdk
- adjust release.
- made from Helix.

* Sat Apr 1  2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.2mdk_helix_1
- Oh yeah, add the menu also

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and link for curr glibc

